/*!
 * @file      NMImgRadioButton.h
 * @brief     ̹  ư.
 * @author    Yangjae.park(yangjae.park@nhn.com)
 * @date      2012-02-27 
 * @warning   
 */


#include "NMMemDC.h"
#pragma once
class  CNMImgRadioButton : public CButton
{
	DECLARE_DYNAMIC(CNMImgRadioButton)

public:
	CNMImgRadioButton();
	virtual ~CNMImgRadioButton();
public:


	/*!
	*  @fn void LoadBitmaps()
	*  @brief     ̹ .
	*  @return    
	*  @param     LPCTSTR pszBkgnd ̹ 
	*  @param     LPCTSTR pszRadio ư ̹ 
	*  @param     LPCTSTR pszSelect   ư ̹ 
	*  @author	  yangjae.park(yangjae.park@nhn.com) 
	*  @date      2012/02/27
	*  @warning   
	*/void LoadBitmaps(LPCTSTR pszBkgnd,LPCTSTR pszRadio,LPCTSTR pszSelect);

    static void LoadUnitedImages(LPCTSTR pszPath);

    void SetBkColor(COLORREF crBack);
    void SetTextColor(COLORREF crText);

  
    /*!
    *  @fn BOOL EnableWindow()
    *  @brief     Ȱȭ
    *  @return    
    *  @param     BOOL bEnable
    *  @author	  yangjae.park(yangjae.park@nhn.com) 
    *  @date      2012/02/27
    *  @warning   
    */virtual BOOL EnableWindow(BOOL bEnable=TRUE);


protected:
    void InitControl();


protected:
    int m_nCheckState;

    static bool m_bHasAlphaChannel;
    static CBitmap m_bmpNormal;
    static CBitmap m_bmpChecked;
    CBitmap m_bmpBkgnd;
    CBitmap m_bmpRadio;
    CBitmap m_bmpSelect;

    bool m_bBkColor;
    COLORREF m_crBack;
    COLORREF m_crText;


protected:
    DECLARE_MESSAGE_MAP()
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnPaint();
    virtual void PreSubclassWindow();
    virtual void PostNcDestroy();

public:
    afx_msg void OnUpdateUIState(UINT /*nAction*/, UINT /*nUIElement*/);
};
 